
server:
  port: 8761
  ssl:
    enabled: false
    key-store: ${EUREKA_KEYSTORE}
    key-store-password: ${eureka_keystore_password:eureka} # DockerSecret
    key-store-type: pkcs12
spring:
  application:
    name: eureka
  profiles:
    active: ${PROFILE} # devtls default
  security:
    user:
      name: ${eureka_basicauth_username:machine} # Vault
      password: ${eureka_basicauth_password:machine} # Vault
  cloud:
    vault:
      enabled: true
      uri: https://vault:8200
      schema: https
      authentication: APPROLE
      app-role:
        role-id: ${eureka_roleId:1d1c7942-12cf-841d-7af1-c410e3d1417d} # DockerSecret
        secret-id: ${eureka_secretId:1d1f80c8-e495-ee61-022f-305001a5cbee} # DockerSecret
      kv:
        enabled: true
        backend: wwweasel
        backend-version: 2
        application-name: eureka
  config:
    import:
      - optional:vault://
      - optional:configtree:/run/secrets/
eureka:
  client:
    register-with-eureka: false # Prevent Server from registering with itself
    fetch-registry: false # Disable local copy of registry
    serviceUrl.defaultZone: http://eureka:8761/eureka
  instance:
    statusPageUrl: http://eureka:8761/info
    healthCheckUrl: http://eureka:8761/health
    homePageUrl: http://eureka:8761/
    securePortEnabled: false
    nonSecurePortEnabled: true

management:
  endpoints:
    web:
      exposure:
        include: health, prometheus
  endpoint:
    health:
      show-details: always
      show-components: always
